import request from '@/utils/request'

// 查询舌苔列表
export function listHealthTongue(query) {
  return request({
    url: '/his/healthTongue/list',
    method: 'get',
    params: query
  })
}

// 查询舌苔详细
export function getHealthTongue(id) {
  return request({
    url: '/his/healthTongue/' + id,
    method: 'get'
  })
}

// 新增舌苔
export function addHealthTongue(data) {
  return request({
    url: '/his/healthTongue',
    method: 'post',
    data: data
  })
}

// 修改舌苔
export function updateHealthTongue(data) {
  return request({
    url: '/his/healthTongue',
    method: 'put',
    data: data
  })
}

// 删除舌苔
export function delHealthTongue(id) {
  return request({
    url: '/his/healthTongue/' + id,
    method: 'delete'
  })
}

// 导出舌苔
export function exportHealthTongue(query) {
  return request({
    url: '/his/healthTongue/export',
    method: 'get',
    params: query
  })
}